<form [formGroup]="form" class="ngx-repeat">
  <!-- <div class="row col-lg-12 form-inline">
    <select formControlName="frequency" (change)="onOptionChange()" class="full-width">
      <option value="No Recurrence" *ngIf="!frequency || frequency.indexOf('No Recurrence') !== -1">No Recurrence</option>
      <option value="Daily" *ngIf="!frequency || frequency.indexOf('Daily') !== -1">Daily</option>
      <option value="Weekly" *ngIf="!frequency || frequency.indexOf('Weekly') !== -1">Weekly</option>
      <option value="Monthly" *ngIf="!frequency || frequency.indexOf('Monthly') !== -1">Monthly</option>
      <option value="Yearly" *ngIf="!frequency || frequency.indexOf('Yearly') !== -1">Yearly</option>
    </select>

  </div>
-->

<!--  [ngClass]="{'opened': frequencySelect.panelOpen}"-->
<!--  class="ngx-repeat-select"-->
  <mat-form-field [appearance]="'outline'"
                  class="ngx-repeat-select-form-field full-width mr-2">
<!--    panelClass="ngx-repeat-select-panel"-->
    <mat-select #frequencySelect
                formControlName="frequency"
                (selectionChange)="onOptionChange()">
      <mat-option value="Never">No Recurrence</mat-option>
      <mat-option
        value="ROSD"
        *ngIf="!frequency || frequency.indexOf('ROSD') !== -1"
      >Recur only on Scheduled days
      </mat-option
      >
      <mat-option
        value="Daily"
        *ngIf="!frequency || frequency.indexOf('Daily') !== -1"
      >Daily
      </mat-option
      >
      <mat-option
        value="Weekly"
        *ngIf="!frequency || frequency.indexOf('Weekly') !== -1"
      >Weekly
      </mat-option
      >
      <mat-option
        value="Monthly"
        *ngIf="!frequency || frequency.indexOf('Monthly') !== -1"
      >Monthly
      </mat-option
      >
      <mat-option
        value="Yearly"
        *ngIf="!frequency || frequency.indexOf('Yearly') !== -1"
      >Yearly
      </mat-option
      >
    </mat-select>
  </mat-form-field>

  <div
    *ngIf="form.value.frequency !== 'Never' && form.value.frequency != 'Daily' && form.value.frequency != 'Monthly' && form.value.frequency != 'ROSD'"
    class="row recure-every-wrapper" [class.recure-every-wrapper-y]="form.value.frequency === 'Yearly'">
    <div class="col-lg-12 d-flex align-items-center">
      <label class="recure-title m-0">Recur every</label>
      <input
        style="width: 80px"
        aria-label="Repeat interval"
        class="repeat-on-every text-left ngx-rrule"
        [ngClass]="form.value.frequency === 'Yearly' ? 'text-left pl-16' : 'text-center'"
        type="number"
        value="1"
        formControlName="interval"
        appOnlyNumber isMin="true" min="1"
      />
      <!--    <label *ngIf="form.value.frequency === 'Daily'" class="ml-2">day(s)-->
      <!--    </label>-->
      <label class="recure-title m-0">
        {{ form.value.frequency === 'Weekly' ? "week(s) on" : (form.value.frequency === 'Yearly' ? "year(s)" : "")}}
      </label>
    </div>
  </div>
  <div *ngIf="form.value.frequency !== 'Never'" class="mt-1 mb-1">
    <ngx-daily
      *ngIf="form.value.frequency === 'Daily'"
      formControlName="daily"
    ></ngx-daily>
    <ngx-yearly
      *ngIf="form.value.frequency === 'Yearly'"
      formControlName="yearly"
    ></ngx-yearly>
    <ngx-monthly
      *ngIf="form.value.frequency === 'Monthly'"
      formControlName="monthly"
    ></ngx-monthly>
    <ngx-weekly
      *ngIf="form.value.frequency === 'Weekly'"
      formControlName="weekly"
    ></ngx-weekly>
  </div>
</form>
